Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core.build
Interface IBuildEntry

All Superinterfaces:
  IWritable

public interface IBuildEntry
extends IWritable

Jar entry represents one 'library=folder list' entry in plugin.jars file.

Field Summary
`static String` | `BIN_INCLUDES` A property name for changes to the 'name' field.
`static String` | `JAR_PREFIX` A property name for changes to the '' field.
`static String` | `JARS_EXTRA_CLASSPATH` A property name for changes to the 'name' field.
`static String` | `OUTPUT_PREFIX` A property name for changes to the 'name' field.
`static String` | `P_NAME` A property name for changes to the 'name' field.
`static String` | `SRC_INCLUDES` A property name for changes to the 'name' field.

Method Summary
`void` | `addToken(String token)` Adds the token to the list of token for this entry.
`boolean` | `contains(String token)` Returns true if the provided token exists in this entry.
`IBuildModel` | `getModel()` Returns a model that owns this entry
`String` | `getName()` Returns the name of this entry.
`String[]` | `getTokens()` Returns an array of tokens for this entry
`void` | `removeToken(String token)` Removes the token from the list of tokens for this entry.
`void` | `renameToken(String oldToken, String newToken)` Changes the name of the token without changing its position in the list.
`void` | `setName(String name)` Sets the name of this build entry.

Methods inherited from interface org.eclipse.pde.core.IWritable
`write`

Field Detail

### P_NAME

    public static final String P_NAME

  A property name for changes to the 'name' field.

  See Also:
    Constant Field Values

### JAR_PREFIX

    public static final String JAR_PREFIX

  A property name for changes to the '' field.

  See Also:
    Constant Field Values

### OUTPUT_PREFIX

    public static final String OUTPUT_PREFIX

  A property name for changes to the 'name' field.

  See Also:
    Constant Field Values

### BIN_INCLUDES

    public static final String BIN_INCLUDES

  A property name for changes to the 'name' field.

  See Also:
    Constant Field Values

### SRC_INCLUDES

    public static final String SRC_INCLUDES

  A property name for changes to the 'name' field.

  See Also:
    Constant Field Values

### JARS_EXTRA_CLASSPATH

    public static final String JARS_EXTRA_CLASSPATH

  A property name for changes to the 'name' field.

  See Also:
    Constant Field Values

Method Detail

### addToken

    public void addToken(String token)
                  throws CoreException

  Adds the token to the list of token for this entry. This method will throw a CoreException if the model is not editable.

  Parameters:
    `token` - a name to be added to the list of tokens
  Throws:
    `CoreException`

### getModel

    public IBuildModel getModel()

  Returns a model that owns this entry

  Returns:
    build.properties model

### getName

    public String getName()

  Returns the name of this entry.

  Returns:
    the entry name

### getTokens

    public String[] getTokens()

  Returns an array of tokens for this entry

  Returns:
    array of tokens

### contains

    public boolean contains(String token)

  Returns true if the provided token exists in this entry.

  Returns:
    true if the token exists in the entry

### removeToken

    public void removeToken(String token)
                     throws CoreException

  Removes the token from the list of tokens for this entry. This method will throw a CoreException if the model is not editable.

  Parameters:
    `token` - a name to be removed from the list of tokens
  Throws:
    `CoreException`

### renameToken

    public void renameToken(String oldToken,
                            String newToken)
                     throws CoreException

  Changes the name of the token without changing its position in the list. This method will throw a CoreException if the model is not editable.

  Parameters:
    `oldToken` - the old token name
    `newToken` - the new token name
  Throws:
    `CoreException`

### setName

    public void setName(String name)
                 throws CoreException

  Sets the name of this build entry. This method will throw a CoreException if model is not editable.

  Parameters:
    `name` - the new name for the entry
  Throws:
    `CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.